aboutsummaryrefslogtreecommitdiff
path: root/performance-test/M03-search.sh
diff options
context:
space:
mode:
authorDavid Bremner <david@tethera.net>2017-03-18 16:35:51 -0300
committerDavid Bremner <david@tethera.net>2017-03-18 20:43:19 -0300
commit2571d535a35a90f7ed4419d7c33c575b647cb614 (patch)
tree96d297394194e1bc001fbc2055fe7e64256d6d05 /performance-test/M03-search.sh
parentb5d08ebdb9633b52519b4aab80da50884e860bc9 (diff)
perf-test/mem: add simple memory tests for notmuch search
Just copy and replace from the show tests. Currently these show no major leaks.
Diffstat (limited to 'performance-test/M03-search.sh')
-rwxr-xr-xperformance-test/M03-search.sh13
1 files changed, 13 insertions, 0 deletions
diff --git a/performance-test/M03-search.sh b/performance-test/M03-search.sh
new file mode 100755
index 00000000..8d026eee
--- /dev/null
+++ b/performance-test/M03-search.sh
@@ -0,0 +1,13 @@
+#!/bin/bash
+
+test_description='search'
+
+. ./perf-test-lib.sh || exit 1
+
+memory_start
+
+memory_run 'search *' "notmuch search '*' 1>/dev/null"
+memory_run 'search --format=json *' "notmuch search --format=json '*' 1>/dev/null"
+memory_run 'search --format=sexp *' "notmuch search --format=sexp '*' 1>/dev/null"
+
+memory_done